Skip to content
payrocdevelopers

Retrieve attachment

Browse API reference

GET/attachments/{attachmentId}getAttachment

Use this method to retrieve the details of an attachment.

To retrieve the details of an attachment you need its attachmentId. Our gateway returned the attachmentId in the response of the Upload Attachment to Processing Account method.

Our gateway returns information about the attachment, including its upload status and the entity that the attachment is linked to. Our gateway doesn't return the file that you uploaded.

Parameters

NameInTypeDescription
attachmentIdRequiredpathstring

Unique identifier of the attachment.

Responses

Successful request. Returns the attachment.

200 OK · application/json
{
  "attachmentId": "15387",
  "contentType": "application/pdf",
  "createdDate": "2025-09-18T10:19:18.522Z",
  "description": "Passport for Jane Doe",
  "entity": {
    "id": "2585",
    "type": "processingAccount"
  },
  "fileName": "JaneDoePassport.pdf",
  "lastModifiedDate": "2025-09-18T10:19:18.522Z",
  "metadata": {
    "passportId": "123456789"
  },
  "type": "personalIdentification",
  "uploadStatus": "accepted"
}
Response schema · 12 fields
  • attachmentIdstringrequired
    Unique identifier that our gateway assigned to the attachment.
  • contentTypestringrequired
    Content type of the file.≤ 76 chars
  • createdDatestringdate-timerequired
    Date and time that we received your request to upload the attachment.
  • descriptionstring
    Short description of the attachment.≤ 250 chars
  • entityobjectrequired
    Object that contains information about the entity that the attachment is linked to.
    • idstringrequired
      Unique identifier of the entity that the attachment is linked to.≤ 50 chars
    • typestringrequired
      Type of entity that the attachment is linked to.≤ 17 charsprocessingAccount
  • fileNamestringrequired
    Name of the file.≤ 150 chars
  • lastModifiedDatestringdate-timerequired
    Date and time the attachment was last modified.
  • metadataobject
    Object that you can send to include custom metadata in the request.
  • typestringrequired
    Type of attachment.5–22 charsbankingEvidencequestionnairesAndLicensesmerchantStatementstaxDocumentsmpaOrAmendmentproofOfBusinessfinancialStatementspersonalIdentification+1 more
  • uploadStatusstringrequired
    Upload status of the attachment. The value is one of the following: pending We have not yet uploaded the attachment. accepted We have uploaded the attachment. rejected We rejected the attachment.≤ 8 charspendingacceptedrejected

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer